public abstract class AbstractTree<E> implements Tree<E> {
  @Override /** Odwiedzanie w porządku inorder od korzenia */
  public void inorder() {
  }

  @Override /** Odwiedzanie w porządku postorder od korzenia */
  public void postorder() {
  }

  @Override /** Odwiedzanie w porządku preorder od korzenia */
  public void preorder() {
  }

  @Override /** Zwraca true, jeśli drzewo jest puste */
  public boolean isEmpty() {
    return getSize() == 0;
  }
}
